Bug 60127 - Allow Empty Rotation-Degrees-Pane
Summary: Allow Empty Rotation-Degrees-Pane
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Cell-Format-Dialog
  Show dependency treegraph
 
Reported: 2013-01-31 15:47 UTC by Rainer Bielefeld Retired
Modified: 2019-10-22 16:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (8.21 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2013-01-31 15:51 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-01-31 15:47:45 UTC
Steps how to reproduce  with "LibO  4.0.0.2 rc   -  GERMAN UI / German Locale  [Build ID: 5991f37846fc3763493029c4958b57282c2597e)]"  {tinderbox: @6, pull time 2013-01-24  07:20(?)} on German WIN7 Home Premium (64bit) with User Profile automatically created form renamed /3 User profile used by 3.6.5.2

1. open attached sample.ods
2. click A1 (to try to modify rotation from 10° to 30° in an intuitive way)
3. Menu 'Format -> Cells -> Alignment - Text orientation
4. in pane 'Degrees' you see "10", click into pane right from Number 
   > Caret flashes behind 0
5. Backspace until caret reaches left end of pane
   Expected: Empty
   Actual: "1" remains in pane
6. Type "30" 
   > Now value is "301", aou will have to delete the trailing "1"

Same when you try to change rectangle rotation to "10°"

That's unintuitive. 

Old Drawing rotation allowed empty pane (and inserted "0" if you leaved the empty pane), that was more comfortable.

That worked fine in OOo 1.1.5, but broken in OOo 2 and later. so inherited from OOo!
Comment 1 Rainer Bielefeld Retired 2013-01-31 15:48:24 UTC
This one might have impact to "Bug 60120 - UI: object rotation does not allow decimals and negative numbers"
Comment 2 Rainer Bielefeld Retired 2013-01-31 15:51:32 UTC
Created attachment 74003 [details]
Sample Document
Comment 3 Jorendc 2013-01-31 23:33:44 UTC
I can confirm this behavior. Using LibreOffice 4.0.0.2 rc2; Linux Mint 14 x64

Kind regards,
Joren
Comment 4 A (Andy) 2014-09-27 17:58:17 UTC
for me not reproducible with LO 4.3.2.2 (Win 8.1)

But I experienced a different bug:
If I try to decrease the degree by using the arrow down button the degree switches to 0.

Does this issue still persist for you or anybody else with the latest release of LO?  Otherwise, we could maybe close this issue.
Comment 5 QA Administrators 2015-10-14 19:57:33 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2016-01-29 16:18:47 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 259c1ed201f4277d74dfd600fed8c837cbf56abc
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-27_00:45:12
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2017-10-23 14:03:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug